﻿@using Microsoft.AspNet.Identity
@using ALK.Models
@if (Request.IsAuthenticated)
{
    ApplicationUser auser = ApplicationUser.GetUSer(User.Identity.GetUserName());
    UsedGamesEntities db = new UsedGamesEntities();
    int item1 = 0;
    int item2 = 0;
    try
    {
        item1 = db.ProductOrders.Where(x => x.UserId == auser.Id).Where(x => x.PaymentDone == false).Select(x => x.Qty).Sum();
    }
    catch { }
    try
    {
        //item2 = db.ProductOrders.Where(x => x.PaymentDone).Where(x => x.Product.UserId == auser.Id).Sum(x => x.Qty);

        var iitem2 = from po in db.ProductOrders
                     join p in db.Products
                     on po.ProductId equals p.Id
                     join aasspp in db.AspNetUsers
                     on p.UserId equals aasspp.Id
                     where aasspp.Id == auser.Id && po.PaymentDone == true && po.Delivered==false
                     select po.Qty;
        item2 = iitem2.Sum();
    }
    catch { }
    using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
    {
        @Html.AntiForgeryToken()

        <ul class="nav navbar-nav navbar-right">
            <li>
                <a href="@Url.Action("History","ProductOrders")">Tellimuste ajalugu</a>
            </li>
            <li>
                <a href="@Url.Action("Index","ProductOrders")" style="opacity:0.5;position: relative;text-align:center;color:white;" onMouseOut="this.style.opacity = '0.5';" onMouseOver="this.style.opacity = '1'; ">
                    @if (item1 < 10)
                    {
                        <p style="position: absolute;left:25px;color:black">@item1</p>
                    }
                    else
                    {
                        <p style="position: absolute;left:20px;color:black">@item1</p>
                    }
                    <img src="~/Images/cart.png" height="25" />
                </a>
            </li>
            <li>
                <a href="@Url.Action("Inde_x","ProductOrders")" style="opacity:0.5;position: relative;text-align:center;color:white;" onMouseOut="this.style.opacity = '0.5';" onMouseOver="this.style.opacity = '1'; ">
                    @if (item2 < 10)
                    {
                        <p style="position: absolute;left:23.5px;color:black;margin-top:1px;">@item2</p>
                    }
                    else
                    {
                        <p style="position: absolute;left:20px;color:black;margin-top:1px">@item2</p>
                    }
                    <img src="~/Images/bell.png" height="25" />
                </a>
            </li>
            <li>
                @Html.ActionLink("Tere tulemast " + auser?.DisplayName + "!", "Index", "Manage", routeValues: null, htmlAttributes: new { title = "Manage" })
            </li>
            <li><a href="javascript:document.getElementById('logoutForm').submit()">Logi välja</a></li>

            @*//panin siia sisselogitud kasutaja jaoks nupu mida võiks saada kasutada Admin*@
            @try
            {
                var kasutaja = User.IsInRole("Admin");
                if (kasutaja == true)
                {
                    <li><a href="@Url.Action("Index", "ProductsAdmin")">Admin Menu</a></li>
                }
            }
            catch { }


            @*@if (auser?.PictureId != null)
                {
                    <li><img height="60" src="@Url.Action("Content", "My", new { id = auser.PictureId.Value })" /></li>
                    <li><img height="60" src="@Url.Action("Content", "My", new { id = auser.PictureId.Value })" /></li>
                }*@
        </ul>
    }
}
else
{
    <ul class="nav navbar-nav navbar-right">
        <li>@Html.ActionLink("Registreeru", "Register", "Account", routeValues: null, htmlAttributes: new { id = "registerLink" })</li>
        <li>@Html.ActionLink("Logi sisse", "Login", "Account", routeValues: null, htmlAttributes: new { id = "loginLink" })</li>
    </ul>
}
